Skip to main content
`Ctrl`+`K`

# SNESVINEWTONSSLS

Semi-smooth solver for variational inequalities based on Newton’s method

## Options Database Keys

- -snes_type <vinewtonssls,vinewtonrsls> a semi- smooth solver, a reduced space active set method

- -snes_vi_monitor - prints the number of active constraints at each iteration.

## Notes

This family of algorithms is much like an interior point method.

The reduced space active set solvers `SNESVINEWTONRSLS` provide an alternative approach that does not result in extremely ill-conditioned linear systems

See [MFF+01] and [BM06]

## References

[BM06]

Steven J Benson and Todd S Munson. Flexible complementarity solvers for large-scale applications. Optimization Methods and Software, 21(1):155–168, 2006.

[MFF+01]

T. S. Munson, F. Facchinei, M. C. Ferris, A. Fischer, and C. Kanzow. The semismooth algorithm for large scale complementarity problems. INFORMS Journal on Computing, 2001.

## See Also

SNES: Nonlinear Solvers, `SNESVINEWTONRSLS`, `SNESVISetVariableBounds()`, `SNESVISetComputeVariableBounds()`, `SNESCreate()`, `SNES`, `SNESSetType()`, `SNESVINEWTONRSLS`, `SNESNEWTONTR`, `SNESLineSearchSetType()`, `SNESLineSearchSetPostCheck()`, `SNESLineSearchSetPreCheck()`

## Level

beginner

## Location

src/snes/impls/vi/ss/viss.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages